Bug 318598 - Names of satellite groups in Settings window cannot be translated
Summary: Names of satellite groups in Settings window cannot be translated
Status: RESOLVED FIXED
Alias: None
Product: kstars
Classification: Unclassified
Component: general (show other bugs)
Version: 2.0.0
Platform: Other Linux
: NOR minor (vote)
Target Milestone: ---
Assignee: Akarsh Simha
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-04-19 16:05 UTC by Yuri Chornoivan
Modified: 2013-05-13 00:42 UTC (History)
4 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Yuri Chornoivan 2013-04-19 16:05:30 UTC
The names of satellite groups are not extracted from data/satellites.dat and their translations (should they are added to kstars.po) are not loaded into Settings window.

Reproducible: Always

Steps to Reproduce:
1. Start KStars with any locale (e.g. x-test)
2. Choose Settings -> Configure KStars... -> Satellites
Actual Results:  
Untranslated list of satellite groups.

Expected Results:  
Translated (or at least translatable) list of satellite groups.

Thanks for fixing this issue.
Comment 1 Yuri Chornoivan 2013-05-10 10:04:50 UTC
A review request to fix the bug added:

https://git.reviewboard.kde.org/r/110365/
Comment 2 Yuri Chornoivan 2013-05-10 10:13:09 UTC
Git commit 8a6c6ae084429f4cc2175296d9c2822c23c14521 by Yuri Chornoivan.
Committed on 10/05/2013 at 12:12.
Pushed by yurchor into branch 'master'.

REVIEW: 110365

Make satellite group names translatable

M  +3    -0    kstars/Messages.sh
M  +0    -1    kstars/data/satellites.dat
M  +2    -1    kstars/options/opssatellites.cpp

http://commits.kde.org/kstars/8a6c6ae084429f4cc2175296d9c2822c23c14521
Comment 3 Akarsh Simha 2013-05-13 00:42:58 UTC
Git commit 39846dd7072cdd4452b5b4795c0d54f896ce496a by Akarsh Simha, on behalf of Yuri Chornoivan.
Committed on 10/05/2013 at 12:12.
Pushed by asimha into branch 'bleeding-edge'.

REVIEW: 110365

Make satellite group names translatable

M  +3    -0    kstars/Messages.sh
M  +0    -1    kstars/data/satellites.dat
M  +2    -1    kstars/options/opssatellites.cpp

http://commits.kde.org/kstars/39846dd7072cdd4452b5b4795c0d54f896ce496a